For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a NLB Forwarding Rule

Creates a forwarding rule for the specified Network Load Balancer.

post
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
datacenterIdstringRequired

The unique ID of the data center.

networkLoadBalancerIdstringRequired

The unique ID of the Network Load Balancer.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
202

Successful operation

application/json
post/datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules
POST /cloudapi/v6/datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 433

{
  "type": "forwarding-rule",
  "metadata": {},
  "properties": {
    "name": "My Network Load Balancer forwarding rule",
    "algorithm": "ROUND_ROBIN",
    "protocol": "HTTP",
    "listenerIp": "81.173.1.2",
    "listenerPort": 8080,
    "healthCheck": {
      "clientTimeout": 50,
      "connectTimeout": 5000,
      "targetTimeout": 50000,
      "retries": 3
    },
    "targets": [
      {
        "ip": "22.231.2.2",
        "port": 8080,
        "weight": 123,
        "proxyProtocol": "v1",
        "healthCheck": {
          "check": true,
          "checkInterval": 2000,
          "maintenance": true
        }
      }
    ]
  }
}
{
  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
  "type": "forwarding-rule",
  "href": "<RESOURCE-URI>",
  "metadata": {
    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
    "createdDate": "2015-12-04T14:34:09.809Z",
    "createdBy": "user@example.com",
    "createdByUserId": "user@example.com",
    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
    "lastModifiedBy": "user@example.com",
    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "state": "AVAILABLE"
  },
  "properties": {
    "name": "My Network Load Balancer forwarding rule",
    "algorithm": "ROUND_ROBIN",
    "protocol": "HTTP",
    "listenerIp": "81.173.1.2",
    "listenerPort": 8080,
    "healthCheck": {
      "clientTimeout": 50,
      "connectTimeout": 5000,
      "targetTimeout": 50000,
      "retries": 3
    },
    "targets": [
      {
        "ip": "22.231.2.2",
        "port": 8080,
        "weight": 123,
        "proxyProtocol": "v1",
        "healthCheck": {
          "check": true,
          "checkInterval": 2000,
          "maintenance": true
        }
      }
    ]
  }
}

Last updated

Was this helpful?